Reply

More Beginner Help

[ Edited ]

 

Hello again,

I have another beginner question. I am creating a part and I am trying to create a feature. I've created a new profile, have gotten the sketch drawn but I can't seem to get the cutout feature to work. I've attached a snippet of my code. Can anyone help me and set me along the right path? Any help would be appreciated. Thanks

 

Patrick Roche

Code:

'Hole Code:

 

            'Adding a new profile

            objProfileSet = objProfileSets.Add()

            'Get reference to profiles

            objProfiles = objProfileSet.Profiles

            'Ref Reference Planes

            objRefplanes = objPart.RefPlanes

            'Creating profile with Reference Planes

            objProfile = objProfiles.Add(objRefplanes.Item(1))

            'Converting coordinates

            Call objProfile.Convert3DCoordinate(x3d:=(d / 2), y3d:=(b / 2), z3d:=(0), x2d:=XOrigin, y2d:=YOrigin)

 

            'Preparing Geometry

            objCircles2d = objProfile.Circles2d

            'Writing hole geometry

            objCircle2d = objCircles2d.AddByCenterRadius((b / 2), (-d / 2), (e / 2))

            objRelations2d = objProfile.Relations2d

            'Close Profile

            objProfile.End(SolidEdgePart.ProfileValidationType.igProfileClosed)

            'Hide Profile

            objProfile.Visible = True

            'Create an array of profile objects

            objModels = objPart.Models

            'Cutting out

            objFeature = objModel.ExtrudedCutouts.AddFinite(Profile:=objProfile, ProfileSide:=SolidEdgePart.FeaturePropertyConstants.igLeft, ProfilePlaneSide:=SolidEdgePart.FeaturePropertyConstants.igLeft, Depth:=(-e))

 

Posted by: Patrick Roche
Post date: 12/5/2008 8:23:39 PM